LyX menu is not updated by indicator-appmenu in mode unity-all-menus

Bug #1430059 reported by apvieira on 2015-03-09
136
This bug affects 25 people
Affects Status Importance Assigned to Milestone
indicator-appmenu (Ubuntu)
High
Marco Trevisan (Treviño)
Vivid
High
Marco Trevisan (Treviño)

Bug Description

SRU testcase:

 - Install lyx and run it
 - Create a new document
 - Open menus and ensure that those menus are not greyed out (disabled):
   * File menu: "Close" through "Version control", plus "Export" and "Print"
   * Edit menu: all options
   * View menu: all but "Messages pane", "Toolbars" and "Fullscreen"
   * Insert menu: all options
   * Navigate menu: all options
   * Document menu: all options
   * Tools menu: "Spellchecker" and "Statistics"

Regression potential:

fix has been in 15.10 for some months without any bug report that might be related to it, however a regression could cause menus for app not to be visible.

Description: Ubuntu Vivid Vervet (development branch)
Release: 15.04

lyx:
  Installed: 2.1.3-1
  Candidate: 2.1.3-1
  Version table:
 *** 2.1.3-1 0
        500 http://br.archive.ubuntu.com/ubuntu/ vivid/universe amd64 Packages
        100 /var/lib/dpkg/status

ProblemType: BugDistroRelease: Ubuntu 15.04
Package: lyx 2.1.3-1
ProcVersionSignature: Ubuntu 3.19.0-7.7-generic 3.19.0
Uname: Linux 3.19.0-7-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 2.16.2-0ubuntu2
Architecture: amd64
CurrentDesktop: Unity
Date: Mon Mar 9 19:45:01 2015
ExecutablePath: /usr/bin/lyx
InstallationDate: Installed on 2015-02-03 (33 days ago)
InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Release amd64 (20141022.1)SourcePackage: lyx
UpgradeStatus: Upgraded to vivid on 2015-03-05 (3 days ago)

Related branches

apvieira (andredepinhovieira) wrote :

Can you please open LyX from the terminal and inside LyX run Tools > Reconfigure and then copy the output from the terminal and upload it here?

Is this from a fresh install of Vivid or an upgrade?

Download full text (30.8 KiB)

This is an upgrade from a Utopic installation from about a month ago.

Please find the output below.

apvieira@bose:~$ lyx
checking for a Latex2e program...
+checking for "latex"... yes
checking for a DVI postprocessing program...
+checking for "pplatex"... no
checking for pLaTeX, the Japanese LaTeX...
+checking for "platex"... no
checking for a java interpreter...
+checking for "java"... yes
checking for a perl interpreter...
+checking for "perl"... yes
checking for a Tgif viewer and editor...
+checking for "tgif"... no
checking for a FIG viewer and editor...
+checking for "xfig"... no
+checking for "jfig3-itext.jar"... no
+checking for "jfig3.jar"... no
checking for a Dia viewer and editor...
+checking for "dia"... no
checking for an OpenOffice drawing viewer and editor...
+checking for "xdg-open"... yes
+checking for "libreoffice"... yes
+checking for "lodraw"... yes
+checking for "ooffice"... no
+checking for "oodraw"... no
+checking for "soffice"... yes
checking for a Grace viewer and editor...
+checking for "xmgrace"... yes
checking for a FEN viewer and editor...
+checking for "xboard"... no
checking for a SVG viewer and editor...
+checking for "inkscape"... no
checking for a raster image viewer...
+checking for "xdg-open"... yes
+checking for "xv"... no
+checking for "kview"... no
+checking for "gimp-remote"... no
+checking for "gimp"... no
checking for a raster image editor...
+checking for "gimp-remote"... no
+checking for "gimp"... no
checking for a text editor...
+checking for "xdg-open"... yes
+checking for "xemacs"... no
+checking for "gvim"... no
+checking for "kedit"... no
+checking for "kwrite"... no
+checking for "kate"... no
+checking for "nedit"... no
+checking for "gedit"... yes
+checking for "notepad"... no
+checking for "geany"... yes
+checking for "leafpad"... no
+checking for "mousepad"... no
checking for gnumeric spreadsheet software...
+checking for "gnumeric"... no
checking for an HTML previewer...
+checking for "firefox"... yes
+checking for "mozilla"... no
+checking for "netscape"... no
checking for a BibTeX editor...
+checking for "jabref"... no
+checking for "JabRef"... no
+checking for "pybliographic"... no
+checking for "bibdesk"... no
+checking for "gbib"... no
+checking for "kbib"... no
+checking for "kbibtex"... no
+checking for "sixpack"... no
+checking for "bibedit"... no
+checking for "tkbibtexxemacs"... no
+checking for "gvim"... no
+checking for "kedit"... no
+checking for "kwrite"... no
+checking for "kate"... no
+checking for "jedit"... no
+checking for "TeXnicCenter"... no
+checking for "WinEdt"... no
+checking for "WinShell"... no
+checking for "PSPad"... no
+checking for "nedit"... no
+checking for "gedit"... yes
+checking for "notepad"... no
+checking for "geany"... yes
+checking for "leafpad"... no
+checking for "mousepad"... no
checking for a Postscript previewer...
+checking for "xdg-open"... yes
+checking for "kghostview"... no
+checking for "okular"... yes
+checking for "qpdfview"... no
+checking for "evince"... yes
+checking for "gv"... no
+checking for "ghostview"... no
+checking for "gsview64"... no
+checking for "...

OK so LyX has no trouble finding LaTeX it seems.

Can you try this:
1. exit LyX
2. back up any folder that starts ~/.lyx
3. remove any folder that starts ~/.lyx
4. start LyX
5. Can you now export either through the buttons or from File > Export ?

note that to copy and remove you can do something like
mkdir ~/Desktop/lyxBU &&
cp -r ~/.lyx* ~/Desktop/lyxBU &&
rm -rf ~/.lyx*

​All options are back.

So it has to do with the fact that Vivid upgrades LyX to 2.1.3 from
Utopic's 2.0.6 and configuration files are incompatible?

Thanks a lot!

2015-03-10 19:02 GMT-03:00 Scott Kostyshak <email address hidden>:

> OK so LyX has no trouble finding LaTeX it seems.
>
> Can you try this:
> 1. exit LyX
> 2. back up any folder that starts ~/.lyx
> 3. remove any folder that starts ~/.lyx
> 4. start LyX
> 5. Can you now export either through the buttons or from File > Export ?
>
> note that to copy and remove you can do something like
> mkdir ~/Desktop/lyxBU &&
> cp -r ~/.lyx* ~/Desktop/lyxBU &&
> rm -rf ~/.lyx*
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1430059
>
> Title:
> Many options in various menus appear greyed out, inaccessible
>
> Status in lyx package in Ubuntu:
> New
>
> Bug description:
> Options greyed out:
> - File menu: "Close" through "Version control", plus "Export" and "Print"
> - Edit menu: all options
> - View menu: all but "Messages pane", "Toolbars" and "Fullscreen"
> - Insert menu: all options
> - Navigate menu: all options
> - Document menu: all options
> - Tools menu: "Spellchecker" and "Statistics"
>
> Description: Ubuntu Vivid Vervet (development branch)
> Release: 15.04
>
> lyx:
> Installed: 2.1.3-1
> Candidate: 2.1.3-1
> Version table:
> *** 2.1.3-1 0
> 500 http://br.archive.ubuntu.com/ubuntu/ vivid/universe amd64
> Packages
> 100 /var/lib/dpkg/status
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.04
> Package: lyx 2.1.3-1
> ProcVersionSignature: Ubuntu 3.19.0-7.7-generic 3.19.0
> Uname: Linux 3.19.0-7-generic x86_64
> NonfreeKernelModules: fglrx
> ApportVersion: 2.16.2-0ubuntu2
> Architecture: amd64
> CurrentDesktop: Unity
> Date: Mon Mar 9 19:45:01 2015
> ExecutablePath: /usr/bin/lyx
> InstallationDate: Installed on 2015-02-03 (33 days ago)
> InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Release amd64
> (20141022.1)
> SourcePackage: lyx
> UpgradeStatus: Upgraded to vivid on 2015-03-05 (3 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/lyx/+bug/1430059/+subscriptions
>

If anything is to blame, it is LyX. Whether there is a bug in LyX or not depends on the folder you backed up. Can you send me the folder that you backed up to <email address hidden> ? Can you please check and let me know if anything is personal and you wish was kept private?

There it goes. The folder name is .lyx_backup. I don't think that there is
anything really private.

Thanks again.

2015-03-10 19:54 GMT-03:00 Scott Kostyshak <email address hidden>:

> If anything is to blame, it is LyX. Whether there is a bug in LyX or not
> depends on the folder you backed up. Can you send me the folder that you
> backed up to <email address hidden> ? Can you please check and let me know if
> anything is personal and you wish was kept private?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1430059
>
> Title:
> Many options in various menus appear greyed out, inaccessible
>
> Status in lyx package in Ubuntu:
> New
>
> Bug description:
> Options greyed out:
> - File menu: "Close" through "Version control", plus "Export" and "Print"
> - Edit menu: all options
> - View menu: all but "Messages pane", "Toolbars" and "Fullscreen"
> - Insert menu: all options
> - Navigate menu: all options
> - Document menu: all options
> - Tools menu: "Spellchecker" and "Statistics"
>
> Description: Ubuntu Vivid Vervet (development branch)
> Release: 15.04
>
> lyx:
> Installed: 2.1.3-1
> Candidate: 2.1.3-1
> Version table:
> *** 2.1.3-1 0
> 500 http://br.archive.ubuntu.com/ubuntu/ vivid/universe amd64
> Packages
> 100 /var/lib/dpkg/status
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.04
> Package: lyx 2.1.3-1
> ProcVersionSignature: Ubuntu 3.19.0-7.7-generic 3.19.0
> Uname: Linux 3.19.0-7-generic x86_64
> NonfreeKernelModules: fglrx
> ApportVersion: 2.16.2-0ubuntu2
> Architecture: amd64
> CurrentDesktop: Unity
> Date: Mon Mar 9 19:45:01 2015
> ExecutablePath: /usr/bin/lyx
> InstallationDate: Installed on 2015-02-03 (33 days ago)
> InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Release amd64
> (20141022.1)
> SourcePackage: lyx
> UpgradeStatus: Upgraded to vivid on 2015-03-05 (3 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/lyx/+bug/1430059/+subscriptions
>

Hello,

Can you check something for me? Please give us the last modification date of
* /usr/share/lyx/configure.py
* ~/.lyx_backup/lyxrc.default

For the later, I see 10/03/2015, but I'd like to know when was the last time you Reconfigured LyX that first time the problem happened.

The reason why I ask this strange thing is the reconfiguration is done automatically when the configure script is newer than the files that got generated. I suspect that it was not the case for you, and that the date of configure.py is the date when the package was built.

Hi.

There it goes:

apvieira@bose:/tmp$ ls -l /usr/share/lyx/configure.py
-rwxr-xr-x 1 root root 75304 Feb 16 15:35 /usr/share/lyx/configure.py

apvieira@bose:/tmp$ ls -l .lyx_backup/lyxrc.defaults
-rw-rw-r-- 1 apvieira apvieira 23348 Mar 10 18:41 .lyx_backup/lyxrc.defaults

2015-03-11 10:45 GMT-03:00 Jean-Marc Lasgouttes <email address hidden>
:

> Hello,
>
> Can you check something for me? Please give us the last modification date
> of
> * /usr/share/lyx/configure.py
> * ~/.lyx_backup/lyxrc.default
>
> For the later, I see 10/03/2015, but I'd like to know when was the last
> time you Reconfigured LyX that first time the problem happened.
>
> The reason why I ask this strange thing is the reconfiguration is done
> automatically when the configure script is newer than the files that got
> generated. I suspect that it was not the case for you, and that the date
> of configure.py is the date when the package was built.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1430059
>
> Title:
> Many options in various menus appear greyed out, inaccessible
>
> Status in lyx package in Ubuntu:
> New
>
> Bug description:
> Options greyed out:
> - File menu: "Close" through "Version control", plus "Export" and "Print"
> - Edit menu: all options
> - View menu: all but "Messages pane", "Toolbars" and "Fullscreen"
> - Insert menu: all options
> - Navigate menu: all options
> - Document menu: all options
> - Tools menu: "Spellchecker" and "Statistics"
>
> Description: Ubuntu Vivid Vervet (development branch)
> Release: 15.04
>
> lyx:
> Installed: 2.1.3-1
> Candidate: 2.1.3-1
> Version table:
> *** 2.1.3-1 0
> 500 http://br.archive.ubuntu.com/ubuntu/ vivid/universe amd64
> Packages
> 100 /var/lib/dpkg/status
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.04
> Package: lyx 2.1.3-1
> ProcVersionSignature: Ubuntu 3.19.0-7.7-generic 3.19.0
> Uname: Linux 3.19.0-7-generic x86_64
> NonfreeKernelModules: fglrx
> ApportVersion: 2.16.2-0ubuntu2
> Architecture: amd64
> CurrentDesktop: Unity
> Date: Mon Mar 9 19:45:01 2015
> ExecutablePath: /usr/bin/lyx
> InstallationDate: Installed on 2015-02-03 (33 days ago)
> InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Release amd64
> (20141022.1)
> SourcePackage: lyx
> UpgradeStatus: Upgraded to vivid on 2015-03-05 (3 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/lyx/+bug/1430059/+subscriptions
>

Download full text (31.3 KiB)

Hi.

Many of the menu options are gone again, and this time it no use removing
the .lyx* folders. Below is the result of a lyx reconfigure, and after that
the dates of the files configure.py and lyxrc.default.

Thanks again.

checking for a Latex2e program...
+checking for "latex"... yes
checking for a DVI postprocessing program...
+checking for "pplatex"... no
checking for pLaTeX, the Japanese LaTeX...
+checking for "platex"... no
checking for a java interpreter...
+checking for "java"... yes
checking for a perl interpreter...
+checking for "perl"... yes
checking for a Tgif viewer and editor...
+checking for "tgif"... no
checking for a FIG viewer and editor...
+checking for "xfig"... no
+checking for "jfig3-itext.jar"... no
+checking for "jfig3.jar"... no
checking for a Dia viewer and editor...
+checking for "dia"... no
checking for an OpenOffice drawing viewer and editor...
+checking for "xdg-open"... yes
+checking for "libreoffice"... yes
+checking for "lodraw"... yes
+checking for "ooffice"... no
+checking for "oodraw"... no
+checking for "soffice"... yes
checking for a Grace viewer and editor...
+checking for "xmgrace"... yes
checking for a FEN viewer and editor...
+checking for "xboard"... no
checking for a SVG viewer and editor...
+checking for "inkscape"... no
checking for a raster image viewer...
+checking for "xdg-open"... yes
+checking for "xv"... no
+checking for "kview"... no
+checking for "gimp-remote"... no
+checking for "gimp"... no
checking for a raster image editor...
+checking for "gimp-remote"... no
+checking for "gimp"... no
checking for a text editor...
+checking for "xdg-open"... yes
+checking for "xemacs"... no
+checking for "gvim"... no
+checking for "kedit"... no
+checking for "kwrite"... no
+checking for "kate"... yes
+checking for "nedit"... no
+checking for "gedit"... yes
+checking for "notepad"... no
+checking for "geany"... yes
+checking for "leafpad"... no
+checking for "mousepad"... no
checking for gnumeric spreadsheet software...
+checking for "gnumeric"... no
checking for an HTML previewer...
+checking for "firefox"... yes
+checking for "mozilla"... no
+checking for "netscape"... no
checking for a BibTeX editor...
+checking for "jabref"... no
+checking for "JabRef"... no
+checking for "pybliographic"... no
+checking for "bibdesk"... no
+checking for "gbib"... no
+checking for "kbib"... no
+checking for "kbibtex"... yes
+checking for "sixpack"... no
+checking for "bibedit"... no
+checking for "tkbibtexxemacs"... no
+checking for "gvim"... no
+checking for "kedit"... no
+checking for "kwrite"... no
+checking for "kate"... yes
+checking for "jedit"... no
+checking for "TeXnicCenter"... no
+checking for "WinEdt"... no
+checking for "WinShell"... no
+checking for "PSPad"... no
+checking for "nedit"... no
+checking for "gedit"... yes
+checking for "notepad"... no
+checking for "geany"... yes
+checking for "leafpad"... no
+checking for "mousepad"... no
checking for a Postscript previewer...
+checking for "xdg-open"... yes
+checking for "kghostview"... no
+checking for "okular"... yes
+checking for "qpdfview"... no
+checking for "evince"... yes
...

apvieira (andredepinhovieira) wrote :
Download full text (33.0 KiB)

A complement: this affects Unity, but not Plasma, in which all options are
accessible.

2015-04-03 13:15 GMT-03:00 Andre Vieira <email address hidden>:

> Hi.
>
> Many of the menu options are gone again, and this time it no use removing
> the .lyx* folders. Below is the result of a lyx reconfigure, and after that
> the dates of the files configure.py and lyxrc.default.
>
> Thanks again.
>
> checking for a Latex2e program...
> +checking for "latex"... yes
> checking for a DVI postprocessing program...
> +checking for "pplatex"... no
> checking for pLaTeX, the Japanese LaTeX...
> +checking for "platex"... no
> checking for a java interpreter...
> +checking for "java"... yes
> checking for a perl interpreter...
> +checking for "perl"... yes
> checking for a Tgif viewer and editor...
> +checking for "tgif"... no
> checking for a FIG viewer and editor...
> +checking for "xfig"... no
> +checking for "jfig3-itext.jar"... no
> +checking for "jfig3.jar"... no
> checking for a Dia viewer and editor...
> +checking for "dia"... no
> checking for an OpenOffice drawing viewer and editor...
> +checking for "xdg-open"... yes
> +checking for "libreoffice"... yes
> +checking for "lodraw"... yes
> +checking for "ooffice"... no
> +checking for "oodraw"... no
> +checking for "soffice"... yes
> checking for a Grace viewer and editor...
> +checking for "xmgrace"... yes
> checking for a FEN viewer and editor...
> +checking for "xboard"... no
> checking for a SVG viewer and editor...
> +checking for "inkscape"... no
> checking for a raster image viewer...
> +checking for "xdg-open"... yes
> +checking for "xv"... no
> +checking for "kview"... no
> +checking for "gimp-remote"... no
> +checking for "gimp"... no
> checking for a raster image editor...
> +checking for "gimp-remote"... no
> +checking for "gimp"... no
> checking for a text editor...
> +checking for "xdg-open"... yes
> +checking for "xemacs"... no
> +checking for "gvim"... no
> +checking for "kedit"... no
> +checking for "kwrite"... no
> +checking for "kate"... yes
> +checking for "nedit"... no
> +checking for "gedit"... yes
> +checking for "notepad"... no
> +checking for "geany"... yes
> +checking for "leafpad"... no
> +checking for "mousepad"... no
> checking for gnumeric spreadsheet software...
> +checking for "gnumeric"... no
> checking for an HTML previewer...
> +checking for "firefox"... yes
> +checking for "mozilla"... no
> +checking for "netscape"... no
> checking for a BibTeX editor...
> +checking for "jabref"... no
> +checking for "JabRef"... no
> +checking for "pybliographic"... no
> +checking for "bibdesk"... no
> +checking for "gbib"... no
> +checking for "kbib"... no
> +checking for "kbibtex"... yes
> +checking for "sixpack"... no
> +checking for "bibedit"... no
> +checking for "tkbibtexxemacs"... no
> +checking for "gvim"... no
> +checking for "kedit"... no
> +checking for "kwrite"... no
> +checking for "kate"... yes
> +checking for "jedit"... no
> +checking for "TeXnicCenter"... no
> +checking for "WinEdt"... no
> +checking for "WinShell"... no
> +checking for "PSPad"... no
> +checking for "nedit"... no
> +checking for "ged...

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in lyx (Ubuntu):
status: New → Confirmed

I have the same problem on a fresh install on ubuntu vivid on an dell xps 13 (9343). Removing the ~/.lxy directories brings some items in the menus back, but it does not solve the problem. The majority are still greyed out (eg. copy, paste, insert citation, math...)

Changed in lyx (Ubuntu):
importance: Undecided → High

I have the same problem on a fresh Ubuntu installation making LyX virtually unusable. The menus are OK in Kubuntu (KDE) 15.04.

I can reproduce. The problem is that LyX does not know the refresh the menus for some reason. So when you start a new document, the menu options available are as if you had no document open. I'm not sure why this is happening.

I have found a (partial) workaround: if you press "alt" in Ubuntu it brings up the HUD which searches the menu of the open application. For example, if I press alt and then "sett" it shows me "Settings (Document)", meaning that it found an entry under Document that matches my search string. I can then press return and it is as if I went to Document > Settings. In LyX, after I open the HUD and type a letter, all of the menus are refreshed. However, you have to do this each time you want the menus to be refreshed.

better workaround:

sudo apt-get remove appmenu-qt

also, if you happen to be compiling on your own against qt5,

sudo apt-get remove appmen-qt5

Read the description of the package to be aware of the consequences.

The second command above should contain "appmenu-qt5" and not "appmen-qt5".

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in appmenu-qt (Ubuntu):
status: New → Confirmed
Changed in appmenu-qt (Ubuntu):
importance: Undecided → High
Guillaume MM (gadmm) wrote :

Dear bug tracker,

The bug appeared after the following commit in indicator-appmenu:
<http://bazaar.launchpad.net/~indicator-applet-developers/indicator-appmenu/trunk.15.04/revision/267>
Attached is a patch against the latest revision that narrows down the issue.

Developers more familiar with lyx or indicator-appmenu might be able to tell whether the commit exposes an earlier bug of LyX (for instance forgetting to register some signal), or whether the bug is in indicator-appmenu (in that case feel free to adapt my patch).

In particular, by looking at the comments in the source, I am not sure that the path taken to update the menu, before this commit, was at all intended. Also, symptoms of this bug include the fact that there is a small delay before the menu is updated, and Scott Kostyshak mentioned that the callback Menu::updateView() in lyx was in fact called twice. This hints at a deeper bug either in lyx or indicator-appmenu. It would be nice to solve all at once because it has made lyx feel sluggish ever since indicator-appmenu was introduced in Ubuntu.

Thanks!

In the meanwhile, the proper workaround is to run lyx with the command line:
  QT_X11_NO_NATIVE_MENUBAR=1 lyx
or equivalently to adapt /usr/share/applications/lyx.desktop as follows:
  Exec=env QT_X11_NO_NATIVE_MENUBAR=1 lyx %F

Guillaume MM (gadmm) wrote :

see my comment #20

affects: appmenu-qt (Ubuntu) → indicator-appmenu
summary: - Many options in various menus appear greyed out, inaccessible
+ LyX menu is not updated by indicator-appmenu in mode unity-all-menus

The attachment "a minimal working solution -- not meant as a final patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Guillaume MM (gadmm) on 2015-04-30
affects: indicator-appmenu → indicator-appmenu (Ubuntu)
Changed in indicator-appmenu (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Guillaume MM (gadmm) wrote :

Dear bug tracker,

Here's what I understand, in case anybody wants to take over. LyX normally receives about_to_show() via entry_activate() in indicator-appmenu/src/window-menu-dbusmenu.c, which itself is called from panel_service_show_entry_common() via indicator_object_entry_activate_window() in unity/service/panel-service.c.

This was broken because appmenu->default_app was left to NULL in the location of the patch above (which the patch corrects). I wanted to see whether with this understanding I could solve the small delay I mentioned above but this issue looks more fundamental.

See also <https://bugs.launchpad.net/ubuntu/+source/vlc/+bug/1447224>. As mentioned by someone else, the patch solves the issue with vlc. I did not have the time to locate the source of the problem with totem. With totem, unity correctly calls indicator_object_entry_activate_window() in panel_service_show_entry_common(), but this does not translate into a call to entry_activate() (which might be a problem if totem expects about_to_show()).

The patch correctly reverts to the previous behaviour on my side, so I'll leave it there.

Best,
Guillaume

Confirmed that the workarounds posted by Guillaume and Scott work for me, thanks! Hopefully the underlying issue can be resolved soon, but at least there is a temporary hack letting us still use LyX in the meantime.

Charles Ashmore (chasashmore) wrote :

Many thanks to Guillaume for the workarounds--

In the meanwhile, the proper workaround is to run lyx with the command line:
  QT_X11_NO_NATIVE_MENUBAR=1 lyx
or equivalently to adapt /usr/share/applications/lyx.desktop as follows:
  Exec=env QT_X11_NO_NATIVE_MENUBAR=1 lyx %F

--which work for me. I have been having the same problem with menus. Just adding this to "widen" the pool of those reporting.

Changed in indicator-appmenu (Ubuntu):
status: Confirmed → In Progress
Changed in lyx (Ubuntu):
status: Confirmed → In Progress
status: In Progress → Invalid
Iain Lane (laney) wrote :

This affects vlc too (originally reported in bug #1447224) - could you upload this soon & SRU it?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in indicator-appmenu (Ubuntu Vivid):
status: New → Confirmed
Changed in lyx (Ubuntu Vivid):
status: New → Confirmed
Iain Lane (laney) on 2015-06-11
Changed in lyx (Ubuntu Vivid):
status: Confirmed → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-appmenu - 15.02.0+15.10.20150627-0ubuntu1

---------------
indicator-appmenu (15.02.0+15.10.20150627-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Marco Trevisan (Treviño) ]
  * IndicatorAppmenu: make sure we call window_menu_entry_activate also
    in AllMenus mode (LP: #1430059)

 -- CI Train Bot <email address hidden> Sat, 27 Jun 2015 04:42:19 +0000

Changed in indicator-appmenu (Ubuntu):
status: In Progress → Fix Released
no longer affects: lyx (Ubuntu)
no longer affects: lyx (Ubuntu Vivid)
Jean-Marc Lasgouttes (jmarc) wrote :

It is normal that it has been marked as no longer affecting lyx on vivid? This is clearly not true here. I did not see any fix delivered on vivid. I am glad however to see that the fix exists.

The fact is that the bug is not in lyx, but in indicator-appmenu.

If you want, you can manually install the deb from wily (available at http://packages.ubuntu.com/wily/indicator-appmenu) in vivid.
It should work flawlessly.

Rich Daley (riih) wrote :

I can confirm this updated package has fixed the issue in VLC also. (I had to restart Unity for it to take effect.)

Thanks!

Yeah, actually just restarting unity-panel-service is enough:

 initctl restart unity-panel-service

Jean-Marc Lasgouttes (jmarc) wrote :

Are there plans to release this indicator-appmenu fix for vivid? This problem is very annoying to LyX users.

I have not tried to install it yet, but I can test if this is useful.

Jean-Marc Lasgouttes (jmarc) wrote :

I just tried the wily version of indicator-appmenu on vivd. I can confirm that it fixes the bug that we see in LyX.

Jean-Marc Lasgouttes (jmarc) wrote :

Marco, I do not understand why this has been nominated for trusty. As far as I understand, this bug concerns only vivid now.

What needs to be done to have this go to vivid?

Yeah, it was a mistake (which I can't cancel right now), but also a reminder related to the fact that we want to backport these LIM enhancements to trusty as well, and to make sure that this commit won't be missed.

Jean-Marc Lasgouttes (jmarc) wrote :

I see, thanks. Do you have any ETA for vivid?

L.Bányai (l-a-banyai) wrote :

I have encountered the same problem with Lyx on Ubuntu 12.02 and 14.04. I have tried both Lyx and Lyx 2.0 from the oficial Software package, as well as from the ppa:lyx-devel/release.

Liviu Andronic (landronimirc) wrote :

Can someone confirm that this indicator-appmenu affects Trusty, too? And will backporting the Wily indicator-appmenu to Trusty work?

L.Bányai (l-a-banyai) wrote :

I had a similar problem with Ubuntu 14.04.2 and Gnome. The upper Toolbar was missing. Following a suggestion by Liviu Andronic I changed the Desktop Environement to Xfce and the problem disappeared.

Liviu Andronic (landronimirc) wrote :

I backported the Wily indicator-appmenu - 15.02.0+15.10.20150627 to Vivid on my staging PPA:
https://launchpad.net/~landronimirc/+archive/ubuntu/staging

Could someone confirm that this installs fine on their Vivid system, and that it fixes the greyed-out menus issue?

@Liviu: The package from your PPA you posted installs fine for me and fixes the Lyx as well as the VLC menus for me on my Vivid system. Thanks for the port.

Liviu Andronic (landronimirc) wrote :

Great, thanks for testing. I've now put the backported vivid build on the LyX PPA:
https://launchpad.net/~lyx-devel/+archive/ubuntu/release

Please let me know if you encounter any issues with it.

Liviu Andronic (landronimirc) wrote :

I now backported the Wily indicator-appmenu - 15.02.0+15.10.20150627 to Trusty on my staging PPA:
https://launchpad.net/~landronimirc/+archive/ubuntu/staging

If anyone is encountering this LyX/VLC issue on Trusty, please check to see if this build solves your issue and report back.

Changed in indicator-appmenu (Ubuntu Vivid):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
importance: Undecided → High
status: Confirmed → In Progress

In order to backport the package in vivid, please someone (Liviu? :)), can verify that the fix backported in https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/landing-030 works?

description: updated
Łukasz Jagielski (ljagielski) wrote :

@Liviu: indicator-appmenu from your build brings back the 'about-to-show' events from libdbusmenu-glib in Vivid. Thanks!

Liviu Andronic (landronimirc) wrote :

@Łukasz Great to hear that. I would love to hear whether the Trusty backport helps with this issue (or maybe if no one is encountering this issue on Trusty)...

@Marco I hope others can test this. I'm using Xfce, so never bumped into this. But our LyX community was hardly hit, so I attempted a quick'n'dirty backport (which seemingly worked).

Guillaume MM (gadmm) wrote :

@Marco: yes, ppa:ci-train-ppa-service/landing-030 solves the bug. Thank you.

Thanks for testing.

Once approved, we'd need some testing on the SRU as well in order to get this in -updates.

Hello apvieira, or anyone else affected,

Accepted indicator-appmenu into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/indicator-appmenu/15.02.0+15.04.20150821-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in indicator-appmenu (Ubuntu Vivid):
status: In Progress → Fix Committed
tags: added: verification-needed
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-appmenu - 15.02.0+15.04.20150821-0ubuntu1

---------------
indicator-appmenu (15.02.0+15.04.20150821-0ubuntu1) vivid; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * IndicatorAppmenu: make sure we call window_menu_entry_activate also
    in AllMenus mode (LP: #1430059)

 -- CI Train Bot <email address hidden> Fri, 21 Aug 2015 12:03:03 +0000

Changed in indicator-appmenu (Ubuntu Vivid):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for indicator-appmenu has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

no longer affects: indicator-appmenu (Ubuntu Trusty)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers